> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/graphql-api/api-reference/objects/service-channel.md).

# ServiceChannel

### Fields

#### address ([String](/graphql-api/api-reference/objects/string.md))

The address of the service channel

#### bccEmail ([String](/graphql-api/api-reference/objects/string.md))

Every email sent to a customer assigned to this Service Channel will also be BCC'd to this email address.

#### ~~email (~~[~~String~~](/graphql-api/api-reference/objects/string.md)~~)~~

*`Deprecated: Will be renamed to new bcc_email field.`*

The email of the service channel

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

The database ID of the service channel.

#### name ([String](/graphql-api/api-reference/objects/string.md)!)

The name of the service channel

#### slug ([String](/graphql-api/api-reference/objects/string.md)!)

The slug of the service channel


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/service-channel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
